=== debian/changelog ===
apt (2.0.9) focal; urgency=medium

  * postinst: Do not run removed kernel postinst.d script (LP: #1974456)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 24 May 2022 15:08:25 +0200

apt (2.0.8) focal; urgency=medium

  * Adjust conffile removal version in postinst and maintscript; followup
    fix for (LP: #1968154)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 25 Apr 2022 15:58:46 +0200

apt (2.0.7) focal; urgency=medium

  * Revert "Protect currently running kernel at run-time"
  * Backport Determine autoremovable kernels at run-time (LP: #1615381) as of
    2.4.5; including the change to only protect two kernels, not last installed
    one (LP: #1968154)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Apr 2022 18:08:00 +0200
