=== debian/changelog ===
apt (2.0.10) focal; urgency=medium

  * Backport archive snapshot integration as of 2.7.3 (LP: #2038453)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 06 Oct 2023 11:42:30 +0200
