## apt 2.0.10+10.0trisquel4

=== debian/changelog ===
apt (2.0.10+10.0trisquel4) nabia; urgency=medium

  * Ubuntu keyring replaced with Trisquel's

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 15 Nov 2023 09:38:35 +0000
