## apt 2.1

=== DESCRIPTION ===
Package: apt
Title: Asymmetric Price Transmission (apt)
Version: 2.1
Date: 2010-11-03 (first); 2014-6-3 (last)
Author: Changyou Sun <csun@cfr.msstate.edu>
Maintainer: Changyou Sun <csun@cfr.msstate.edu>
Depends: R (>= 3.0.0), erer, urca
Imports: car
Description: This package focuses on asymmetric price transmission (APT) between two time series. It contains functions for linear and nonlinear threshold cointegration, and furthermore, symmetric and asymmetric error correction model.
License: GPL
LazyLoad: yes
Packaged: 2014-06-03 15:58:35 UTC; Edwin
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-06-03 18:27:10
