=== debian/changelog ===
apt (2.1.10) unstable; urgency=medium

  * Default Acquire::AllowReleaseInfoChange::Suite to "true" (Closes: #931566)
  * acquire: Do not hide _error messages in Fail()
  * Further improvements to HTTP method (Closes: #968220, verified against
    that server and the Canonical infra where it blocked buildds)
    - Do not use non-blocking local I/O - they don't do anything anyway,
      and we can't really use non-blocking I/O here because we need to be able
      to flush it.
    - Restore successful exits from Die() and rewrite Die() in a more
      comprehensible way, after careful code path analysis
    - http: Fully flush local file both before/after server read, avoiding
      both partial flush before sending requests to the server, as well as
      preventing leftover data before receiving from the server, which cause
      data left in the buffer.

 -- Julian Andres Klode <jak@debian.org>  Tue, 11 Aug 2020 14:28:07 +0200

apt (2.1.9) unstable; urgency=medium

  [ Julian Andres Klode ]
  * http: Fix infinite loop on read errors
  * basehttp: Correctly handle non-transient failure from RunData()
  * Do not retry on failure to fetch (Closes: #968163)

  [ Aleix Vidal i Gaya ]
  * updated catalan translations

 -- Julian Andres Klode <jak@debian.org>  Mon, 10 Aug 2020 14:16:23 +0200

apt (2.1.8) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Fully deprecate apt-key, schedule removal for Q2/2022
  * apt-key: Allow depending on gpg instead of gnupg
  * Removal of racist terminology, except for two cases that still need consensus
  * Various fixes to http code:
    - http: Always Close() the connection in Die()
    - http: Die(): Merge flushing code from Flush()
    - http: Only return false for EOF if we actually did not read anything
    - http: Die(): Do not flush the buffer, error out instead
    - http: Finish copying data from server to file before sending stuff to server
    - http: On select timeout, error out directly, do not call Die()
    - http: Redesign reading of pending data
    - http: Always write to the file if there's something to write; this fixes
      a regression from removing the buffer flushing code
    Overall, there's hope this Closes: #959518. It reproduced a bit, but eventually
    snapshot.d.o ratelimiting kicked in and broke the test case.

  [ Nicolas Schier ]
  * Support marking all newly installed packages as automatically installed

 -- Julian Andres Klode <jak@debian.org>  Tue, 04 Aug 2020 12:41:28 +0200

apt (2.1.7) unstable; urgency=medium

  [ David Kalnischkies ]
  * Do not hardcode (wrong) group and mode in setup warning (Closes: #962310)
  * Do not sent our filename-provides trick to EDSP solvers (Closes: #962741)
  * Tell EDSP solvers about all installed pkgs ignoring arch
  * Deduplicate EDSP Provides line of M-A:foreign packages
  * Delay removals due to Conflicts until Depends are resolved
  * Filter out impossible solutions for protected propagation
  * Add dependency points in the resolver also to providers
  * Reorder config check before checking systemd for non-interactive http
  * Reorder config check before result looping for SRV parsing debug
  * Fix test due to display change in ls (coreutils 8.32)
  * Detect pkg-config-dpkghook failure in tests to avoid fallback (Closes: #964475)

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #962483)

  [ Julian Andres Klode ]
  * Replace some magic 64*1024 with APT_BUFFER_SIZE
  * Add basic support for the Protected field

  [ Sergio Oller Moreno ]
  * Minor Catalan grammar typo

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #963008)

 -- Julian Andres Klode <jak@debian.org>  Wed, 08 Jul 2020 09:38:35 +0200

apt (2.1.6) unstable; urgency=medium

  [ David Kalnischkies ]
  * Fix small memory leak in MethodConfig
  * Consider protected packages for removal if they are marked as such
  * Consider if a fix is successful before claiming it is
  * Allow 20 instead of 10 loops for pkgProblemResolver
  * Deal with duplicates in the solution space of a dep

 -- Julian Andres Klode <jak@debian.org>  Wed, 03 Jun 2020 18:25:22 +0200

apt (2.1.5) unstable; urgency=medium

  [ David Kalnischkies ]
  * Reset candidate version explicitly for internal state-keeping
    (Closes: #961266)
  * Known-bad candidate versions are not an upgrade option
  * Keep status number if candidate is discarded for kept back display
  * Allow pkgDepCache to be asked to check internal consistency
  * Don't update candidate provides map if the same as current
  * Ensure EDSP doesn't use a dangling architecture string
  * Allow FMV SSE4.2 detection to succeed on clang
  * Mark PatternTreeParser::Node destructor as virtual

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #961431)

 -- Julian Andres Klode <jak@debian.org>  Tue, 26 May 2020 12:19:40 +0200

apt (2.1.4) unstable; urgency=medium

  [ David Kalnischkies ]
  * Check satisfiability for versioned provides, not providing version

 -- Julian Andres Klode <jak@debian.org>  Tue, 19 May 2020 11:28:59 +0200

apt (2.1.3) unstable; urgency=medium

  [ David Kalnischkies ]
  * Prefer use of O_TMPFILE in GetTempFile if available
  * Allow prefix to be a complete filename for GetTempFile
  * Properly handle interrupted write() call in ExtractTar
  * Skip reading data from tar members if nobody will look at it
  * Keep going if a dep is bad for user requests to improve errors
  * Support negative dependencies in VCI::FromDependency
  * Deal with protected solution providers first
  * Propagate protected to already satisfied conflicts (Closes: #960705)
  * Propagate protected to already satisfied dependencies
  * Recognize propagated protected in pkgProblemResolver

  [ Julian Andres Klode ]
  * private-search: Only use V.TranslatedDescription() if good (LP: #1877987)

 -- Julian Andres Klode <jak@debian.org>  Mon, 18 May 2020 22:23:27 +0200

apt (2.1.2) unstable; urgency=critical


