=== debian/changelog ===
apt (2.1.10ubuntu0.3) groovy; urgency=medium

  [ David Kalnischkies ]
  * Fix incorrect base64 encoding due to int promotion (LP: #1916050)
  * Harden test for no new acquires after transaction abort (Closes: #984966)
    (LP: #1918920)

  [ Julian Andres Klode ]
  * Implement update --error-on=any (Closes: #594813) (LP: #1693900)
  * Include all translations when building the cache (LP: #1907850)
  * Do not require force-loopbreak on Protected packages (Closes: #983014)
    (LP: #1916725)
  * RunScripts: Do not reset SIGQUIT and SIGINT to SIG_DFL (LP: #1898026)
  * Protect currently running kernel at run-time (LP: #1615381)
  * Make ADDARG{,C}() macros expand to single statements

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 12 Mar 2021 09:22:11 +0100

apt (2.1.10ubuntu0.2) groovy; urgency=medium

  [ JCGoran ]
  * Fix "extended_states" typo in apt-mark(8) (Closes: #969086)

  [ Jordi Mallach ]
  * Fix typo in Catalan translation.

  [ Julian Andres Klode ]
  * doc: Bump Ubuntu release from focal to groovy
  * pkgnames: Correctly set the default for AllNames to false, and do not
    exclude virtual packages if --all-names is specified (LP: #1876495)
  * Remove expired domain that became nsfw from debian/changelog
  * patterns: Terminate short pattern by ~ and ! (LP: #1911676)
  * Improve immediate configuration handling (LP: #1871268)
    - Do not immediately configure m-a: same packages in lockstep
    - Ignore failures from immediate configuration. This does not change the
      actual installation ordering - we never passed the return code to the
      caller and installation went underway anyway if it could be ordered at a
      later stage, this just removes spurious after-the-fact errors.

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #970037)

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #968414)

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #977938)

  [ Vangelis Skarmoutsos ]
  * Greek program translation update

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 14 Jan 2021 12:29:25 +0100
