=== debian/changelog ===
apt (2.1.11) unstable; urgency=medium

  [ JCGoran ]
  * Fix "extended_states" typo in apt-mark(8) (Closes: #969086)

  [ Julian Andres Klode ]
  * doc: Bump Ubuntu release from focal to groovy
  * Do not produce late error if immediate configuration fails, just warn
    (Closes: #953260, #972552) (LP: #1871268)

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #970037)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 21 Oct 2020 11:53:18 +0200
