=== debian/changelog ===
apt (2.1.12+deb11u1) bullseye; urgency=medium

  [ Julian Andres Klode ]
  * patterns: Terminate short pattern by ~ and ! - this makes patterns
    like ~n^apt!~nfoo$ or ~nfoo~nbar work correctly instead of treating
    !~nfoo$ or ~nbar as part of the regular expression.
  * SECURITY UPDATE: Integer overflow in parsing (LP: #1899193)
    - apt-pkg/contrib/arfile.cc: add extra checks.
    - apt-pkg/contrib/tarfile.cc: limit tar item sizes to 128 GiB
    - apt-pkg/deb/debfile.cc: limit control file sizes to 64 MiB
    - test/*: add tests.
    - CVE-2020-27350
  * Additional hardening:
    - apt-pkg/contrib/tarfile.cc: Limit size of long names and links to 1 MiB
  * .gitlab-ci.yml: Build on bullseye, not unstable

  [ Jordi Mallach ]
  * Fix typo in Catalan translation.

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #977938)

 -- Julian Andres Klode <jak@debian.org>  Sun, 27 Dec 2020 11:51:58 +0100
