=== debian/changelog ===
apt (2.1.15) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Unroll pkgCache::sHash 8 time, break up dependency
  * Do not require libxxhash-dev for including pkgcachegen.h (Closes: #978171)

  [ David Kalnischkies ]
  * Proper URI encoding for config requests to our test webserver
  * Keep URIs encoded in the acquire system
  * Implement encoded URI handling in all methods
  * Don't re-encode encoded URIs in pkgAcqFile

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #977938)

 -- Julian Andres Klode <jak@debian.org>  Sun, 27 Dec 2020 09:53:07 +0100

apt (2.1.14) unstable; urgency=medium

  * test: fixup for hash table size increase (changed output order)
  * Use XXH3 for cache, hash table hashing

 -- Julian Andres Klode <jak@debian.org>  Tue, 15 Dec 2020 14:07:36 +0100

apt (2.1.13) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + apt-doc, libapt-pkg-doc: Add Multi-Arch: foreign.

  [ Jordi Mallach ]
  * Fix typo in Catalan translation.

  [ David Kalnischkies ]
  * Prepare rred binary for external usage
  * Support reading compressed patches in rred direct call modes
  * Support compressed output from rred similar to apt-helper cat-file

  [ Julian Andres Klode ]
  * gitignore: Add /build and /obj-* build dirs
  * gitignore: Add .*.swp files
  * HexDigest: Silence -Wstringop-overflow
  * patterns: Terminate short pattern by ~ and !
  * SECURITY UPDATE: Integer overflow in parsing (LP: #1899193)
    - apt-pkg/contrib/arfile.cc: add extra checks.
    - apt-pkg/contrib/tarfile.cc: limit tar item sizes to 128 GiB
    - apt-pkg/deb/debfile.cc: limit control file sizes to 64 MiB
    - test/*: add tests.
    - CVE-2020-27350
  * Additional hardening:
    - apt-pkg/contrib/tarfile.cc: Limit size of long names and links to 1 MiB
  * Raise APT::Cache-HashtableSize to 196613

 -- Julian Andres Klode <jak@debian.org>  Thu, 10 Dec 2020 15:40:27 +0100
